ENTSO_MAPPING = {
    "Biomass": [
        "heat and power co-generation, wood chips, 6667 kW",
        "heat and power co-generation, wood chips, 6667 kW, state-of-the-art 2014",
        "heat and power co-generation, biogas, gas engine",
    ],
    "Fossil Brown coal/Lignite": [
        "electricity production, lignite",
        "heat and power co-generation, lignite",
    ],
    "Fossil Coal-derived gas": [
        "treatment of coal gas, in power plant",
    ],
    "Fossil Gas": [
        "electricity production, natural gas, combined cycle power plant",
        "electricity production, natural gas, conventional power plant",
        "heat and power co-generation, natural gas, 500kW electrical, lean burn",
        "heat and power co-generation, natural gas, combined cycle power plant, 400MW electrical",
        "heat and power co-generation, natural gas, conventional power plant, 100MW electrical",
    ],
    "Fossil Hard coal": [
        "electricity production, hard coal",
        "heat and power co-generation, hard coal",
    ],
    "Fossil Oil": [
        "electricity production, oil",
        "heat and power co-generation, oil",
    ],
    "Fossil Oil shale": [],
    "Fossil Peat": [
        "electricity production, peat",
    ],
    "Geothermal": [
        "electricity production, deep geothermal",
    ],
    # This will be a bit funky; could consider charging with average of last 48 hours?
    "Hydro Pumped Storage": [
        "electricity production, hydro, pumped storage",
    ],
    "Hydro Run-of-river and poundage": [
        "electricity production, hydro, run-of-river",
    ],
    "Hydro Water Reservoir": [
        "electricity production, hydro, reservoir, alpine region",
        "electricity production, hydro, reservoir, non-alpine region",
    ],
    "Nuclear": [
        "electricity production, nuclear, boiling water reactor",
        "electricity production, nuclear, pressure water reactor",
        "electricity production, nuclear, pressure water reactor, heavy water moderated",
    ],
    "Other": [
        "treatment of blast furnace gas, in power plant",
    ],
    "Other renewable": [],
    "Solar": [
        "electricity production, photovoltaic, 3kWp facade installation, multi-Si, laminated, integrated",
        "electricity production, photovoltaic, 3kWp facade installation, multi-Si, panel, mounted",
        "electricity production, photovoltaic, 3kWp facade installation, single-Si, laminated, integrated",
        "electricity production, photovoltaic, 3kWp facade installation, single-Si, panel, mounted",
        "electricity production, photovoltaic, 3kWp flat-roof installation, multi-Si",
        "electricity production, photovoltaic, 3kWp flat-roof installation, single-Si",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, CIS, panel, mounted",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, CdTe, laminated, integrated",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, a-Si, laminated, integrated",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, a-Si, panel, mounted",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, multi-Si, laminated, integrated",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, multi-Si, panel, mounted",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, ribbon-Si, laminated, integrated",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, ribbon-Si, panel, mounted",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, single-Si, laminated, integrated",
        "electricity production, photovoltaic, 3kWp slanted-roof installation, single-Si, panel, mounted",
        "electricity production, photovoltaic, 570kWp open ground installation, multi-Si",
        "electricity production, solar thermal parabolic trough, 50 MW",
        "electricity production, solar tower power plant, 20 MW",
    ],
    "Waste": [
        "electricity, from municipal waste incineration to generic market for electricity, medium voltage",
    ],
    "Wind Offshore": [
        "electricity production, wind, 1-3MW turbine, offshore",
    ],
    "Wind Onshore": [
        "electricity production, wind, 1-3MW turbine, onshore",
        "electricity production, wind, <1MW turbine, onshore",
        "electricity production, wind, >3MW turbine, onshore",
    ],
}
